%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:    	eric
Summary: 	Python IDE
Version: 	4.3.9
Release: 	1
BuildArch:	i686
License: 	GPL+
Group:   	Development/Tools
URL:     	http://eric-ide.python-projects.org
Source:  	http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1: 	http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-fr-%{version}.tar.gz
Source2: 	http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-de-%{version}.tar.gz
Source3: 	http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-ru-%{version}.tar.gz
Source4: 	http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-cs-%{version}.tar.gz
Source5: 	http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-es-%{version}.tar.gz
Source6: 	http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-tr-%{version}.tar.gz
Source7: 	http://downloads.sourceforge.net/sourceforge/eric-ide/%{name}4-i18n-zh_CN.GB2312-%{version}.tar.gz 
Source10: 	eric4.desktop
BuildRequires: 	desktop-file-utils
BuildRequires: 	QScintilla-bindings-pyqt4-devel QScintilla-devel libSM-devel
Requires: 	QScintilla-bindings-pyqt4
Requires: 	qt4-devel libSM 

%global python_ver %(python2.6 -c "import sys ; print sys.version[:3]")
%global full_python_ver %(python2.6 -c "import sys ; print sys.version[:3]")
%global python_sitedir %(python2.6 -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%global pyqt_ver %(python2.6 -c "from PyQt4 import QtCore; print QtCore.PYQT_VERSION_STR")
%global qt_ver %(python2.6 -c "from PyQt4 import QtCore; print QtCore.QT_VERSION_STR")


%description
eric4 is a full featured Python IDE.


%prep
%setup -q -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -n %{name}4-%{version}

# copy language files
mv eric4-%{version}/%{name}/i18n/*.qm %{name}/i18n/

rm -rf %{name}-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

%build
# Empty build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/

#path to install api files // As of 4.3.1 release, this is no longer required
#sed -i -e 's|qtDataDir = pyqtconfig._pkg_config\["qt_data_dir"\]|qtDataDir = "%{buildroot}" + pyqtconfig._pkg_config\["qt_data_dir"\]|' install.py

%{__python} install.py \
  -i %{buildroot}/ \
  -b %{_bindir} \
  -d %{python_sitedir}

#we have to correct api path to remove %{builddir}
sed -i -e 's|%{buildroot}||' %{buildroot}%{python_sitedir}/eric4config.py

desktop-file-install \
  --dir %{buildroot}/%{_datadir}/applications/ \
  --vendor="" \
  %{SOURCE10}

install -m644 -p -D \
  %{buildroot}%{python_sitedir}/eric4/icons/default/eric.png \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/eric4.png


## generate api files
mkdir -p %{buildroot}%{_datadir}/eric/

# %ghost'd api files (package separately?) -- Rex
PyQt4_apis="QtAssistant.api QtCore.api QtGui.api QtNetwork.api QtOpenGL.api QtSql.api QtSvg.api QtXml.api"
PyKDE_apis="dcop.api kdecore.api kdefx.api kdeprint.api kdeui.api kfile.api khtml.api kmdi.api kparts.api kspell.api kutils.api"
for api in $PyQt4_apis $PyKDE_apis ; do
  touch %{buildroot}%{_datadir}/eric/$api
  echo "%ghost %{_datadir}/eric/$api" >> %{name}-files.list
done

# mostly to make rpmlint happier, non-executable-scripts
chmod a+x %{buildroot}%{python_sitedir}/eric4/ThirdParty/brm/bike/parsing/fastparser.py ||:
chmod a+x %{buildroot}%{python_sitedir}/eric4/*.py ||:
chmod a+x %{buildroot}%{python_sitedir}/eric4/uninstall.py
chmod a+x %{buildroot}%{python_sitedir}/eric4/Examples/hallo.py
chmod a+x %{buildroot}%{python_sitedir}/eric4/DebugClients/Python/PyCoverage.py
chmod a+x %{buildroot}%{python_sitedir}/eric4/Examples/rhallo.py
chmod a-x %{buildroot}%{python_sitedir}/eric4/patch_pyxml.py

# add envrionment variables for qt, qt4 and python documentations
sed -i -e 's|exec|QT4DIR=%{_libdir}/qt4\nPYTHONDOCDIR=%{_docdir}/python-docs-%{?full_python_ver}/html\nQTDOCDIR=%{_docdir}/qt-devel-%{?qt_ver}/html\nQT4DOCDIR=%{_docdir}/qt4/html\nPYQT4DOCDIR=%{_docdir}/PyQt4-devel-%{?pyqt_ver}/html\nexport QT4DIR PYTHONDOCDIR QTDOCDIR QT4DOCDIR PYQT4DOCDIR\n&|' %{buildroot}%{_bindir}/eric4


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%clean
rm -rf %{buildroot}


%files -f %{name}-files.list
%defattr(-,root,root,-)
%doc eric/README* THANKS LICENSE.GPL3
%{_bindir}/eric4*
%{python_sitedir}/eric4config.py*
%{python_sitedir}/eric4/
%{python_sitedir}/eric4plugins/
%{python_sitedir}/eric4.pth

%dir %{_datadir}/eric/
%{_datadir}/applications/*eric4.desktop
%{_datadir}/icons/hicolor/*/*/*

%{_libdir}/qt4/qsci/api/python/*.api
%{_libdir}/qt4/qsci/api/ruby/*.api

%changelog
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 4.3.9-1
- Version update
* Thu Jun 04 2009 Christian Metzen <metzench@ccux-linux.de> 4.3.4-1
- Version update
- add fixit for python 2.5 transition
* Thu Jun 04 2009 Christian Metzen <metzench@ccux-linux.de> 4.3.2-1
- Initial CCux package release
